Support » Plugin: WP Mail Smtp - SMTP7 » The recent update created debugging issue

  • Resolved Wansbrough

    (@wansbrough)


    It also prevented me from logging onto my dashboard, the error message was as follows

    There has been a critical error on this website.

    Learn more about debugging in WordPress.

    I had to get assistance from my Hosting company to get it back online.

    I had to set the wp_debug option to true in the wp-config file to find the exact error being triggered under the domain:

    ============
    Fatal error: require_once(): Failed opening required ‘/home/trinde5/public_html/wansbroughs-cruise-blog.me.uk/wp-content/plugins/wp-mail-smtp-mailer//settings.class.php’ (include_path=’.:/opt/alt/php74/usr/share/pear’) in /home/trinde5/public_html/wansbroughs-cruise-blog.me.uk/wp-content/plugins/wp-mail-smtp-mailer/wp-mail-smtp-mailer.php on line 52
    ============

    I had to disable the plugin directory wp-mail-smtp-mailer to wp-mail-smtp-mailer_bk in order to get the plugin disabled. Currently the website is loading up on my side. You could consider reinstalling the plugin or restore the plugin directory /home/trinde5/public_html/wansbroughs-cruise-blog.me.uk/wp-content/plugins/wp-mail-smtp-mailer from a working backup.

Viewing 11 replies - 1 through 11 (of 11 total)
  • Plugin Author Arshid

    (@arshidkv12)

    Please delete the old version then install new version.

    Thread Starter Wansbrough

    (@wansbrough)

    This only happened after the recent update so have you updated this again since? I don’t want to drop into a vicious circle….
    If I delete the old one, will it remember all my log-in details?

    Plugin Author Arshid

    (@arshidkv12)

    Sorry.. Please take reset your password.

    Thread Starter Wansbrough

    (@wansbrough)

    Just downloaded and installed the latest version and it’s done the same thing.
    Off to find something more reliable

    Plugin Author Arshid

    (@arshidkv12)

    Please delete again and check once more.

    Please check cache also.

    Thread Starter Wansbrough

    (@wansbrough)

    Warning: require_once(/home/trinde5/public_html/wansbroughs-cruise-blog.me.uk/wp-content/plugins/wp-mail-smtp-mailer/settings.class.php): failed to open stream: No such file or directory in /home/trinde5/public_html/wansbroughs-cruise-blog.me.uk/wp-content/plugins/wp-mail-smtp-mailer/wp-mail-smtp-mailer.php on line 52

    Fatal error: require_once(): Failed opening required ‘/home/trinde5/public_html/wansbroughs-cruise-blog.me.uk/wp-content/plugins/wp-mail-smtp-mailer/settings.class.php’ (include_path=’.:/opt/alt/php74/usr/share/pear’) in /home/trinde5/public_html/wansbroughs-cruise-blog.me.uk/wp-content/plugins/wp-mail-smtp-mailer/wp-mail-smtp-mailer.php on line 52

    There has been a critical error on this website.

    Sorry I am a novice and can’t cope with this sort of thing. It was great while it worked.

    Plugin Author Arshid

    (@arshidkv12)

    Please check settings.class.php file exists or not.

    Download new zip file and install then remove cache.

    Plugin Author Arshid

    (@arshidkv12)

    Install 1.0.6

    Thread Starter Wansbrough

    (@wansbrough)

    Okay, we are back in business. I decided to give you one last chance.
    Can you recommend a post notification that will compliment it? The one I was previously using didn’t like WordPress 5.6.2 either.

    Plugin Author Arshid

    (@arshidkv12)

    Have you checked 1.0.6?

    Thread Starter Wansbrough

    (@wansbrough)

    Have you checked 1.0.6?

    Yes, that is what I have installed. So far no issues.

Viewing 11 replies - 1 through 11 (of 11 total)
  • The topic ‘The recent update created debugging issue’ is closed to new replies.